/*
     $Revision$
     $Id$

     File:             sle_sleutelcilinder.js
*/

var rowIndex = -1;

function onClickItem(tr)
{
  // Wordt aangeroepen na één klik op een item
  $(tr).toggleClass("selected");
}

function onDblClickItem(tr) {
    $(tr).closest("table").find("tr").removeClass("selected"); // Alle andere regels deselecteren
    $(tr).addClass("selected");
    window.parent.doSubmit();
}

function CreateRow(sle_key, slecil_name)
{
  rowIndex++;
  var table = $("#sleutelcilindertable>tbody")[0];

  // Insert data rows
  tr = table.insertRow(-1);
  tr.myData = { sle_key: sle_key};
  tr.value = rowIndex;

  // Create drop button
  cell = tr.insertCell(-1);
  cell.className = "result";
  cell.align = "center";
  cell.innerHTML = "<img src='../Pictures/order_cancel.gif' OnClick='delRow(this)' style='cursor:pointer'>";

  // innerHTML opent een htmlparser die overbodige spaties en line breaks verwijderd in IE, daarom met innerText oplossen
  // Input velden moeten wel met innerHTML of outerHTML anders wordt het text

  // Sleutel/Cilinder omschrijving veld
  cell = tr.insertCell(-1);
  cell.className = "result";
  cell.innerHTML = slecil_name
                 + "<input type='hidden' id='slecil" + rowIndex + "' name='slecil" + rowIndex + "' value='" + sle_key + "'></input>";
  cell.align = "left";
  cell.style.whiteSpace = "nowrap";

  document.getElementById("nrRows").value = parseInt(rowIndex) + 1;
}

function delRow(img)
{
  // Verwijder de aangeklikte afdeling uit de lijst (de regel)
  FcltMgr.confirm((sletype == "S" ? L("lcl_sle_cancelCilinder") : L("lcl_sle_cancelSleutel")), function() {
      var tr = $(img).closest("tr")[0];
      if (tr.myData.sle_key != null) {
          document.getElementById("sleutelcilindertable").deleteRow(tr.rowIndex);
      }
  });
}

function alg_submit()
{
  document.u2.submit();
}

function sle_add()
{
  if ($("#srtdeel").val() > 0)
  {
    var exist = false;
    $("#sleutelcilindertable tr").each(function(i, value)
                              {
                                if (this.myData && $("#srtdeel").val() == this.myData.sle_key)
                                  exist = true;
                              });
    if (!exist)
    {
      CreateRow($("#srtdeel").val(),
                $("#srtdeel_show").val());
      FcltMgr.resized(window);
    }
  }
}
